<?php
require_once '../inc/common.inc.php';

if(empty($menuid)){echo "<script>window.location.href='$kuHttpPath';</script>";exit;}

$moduleId = 6;
$moduleName = $arrAllModule[$moduleId];


$menuid = intval($menuid);
$strSql = "select * from {$configTableHead}menu where id='{$menuid}' and lang='{$kuWebsiteCurrLanguage}';";
$result = $dbInstance->query($strSql);
$row = $dbInstance->fetchArray($result);
$kuBlockJobTitle = $row ['menutitle']; 
$kuWebsitePageTitle = $kuBlockJobTitle.' - '.$kuWebsiteTitleKeyWords.' - '.$kuWebsiteTitle.$kuPostfix;
$kuWebsiteKeyWords = $row['menukeywords'] ? $row['menukeywords'] : $kuWebsiteKeyWords;
$kuWebsiteDescription = $row['menudesc'] ? $row['menudesc'] : $kuWebsiteDescription;


$arrMenuInfo = getMenuIdInfo($menuid);

$topMenuId = '';
if(count($kuMenuList[$arrMenuInfo[type3]]))$topMenuId = $arrMenuInfo[type3];
else if(count($kuMenuList[$arrMenuInfo[type2]]))$topMenuId = $arrMenuInfo[type2];
else if(count($kuMenuList[$arrMenuInfo[type1]]))$topMenuId = $arrMenuInfo[type1];


$kuPositionId = $menuid;


$strSqlTotal = '';
if(1 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}job where lang='{$kuWebsiteCurrLanguage}' and type1={$menuid};";
else if(2 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}job where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]};";
else if(3 == $arrMenuInfo['level'])$strSqlTotal = "select count(*) as amount from {$configTableHead}job where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]};";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSqlTotal, $kuHttpPath;


$result = $dbInstance->query($strSqlTotal);
$row = $dbInstance->fetchArray($result);
$totalNumber = $row ['amount']; //总记录数
!empty($page) ? ($page = intval($page)) : $page = 1; //当前页
$actionDisplayNumber = $frontendPagingActionsDisplayNumber; //活动显示页数 
$type = $frontendPagingType; //分页样式0-5 
$isAlwaysShowFirstOrLast = $frontendPagingIsAlwaysShowFirstOrLast; //是否绍终显示第一页和最后一页
$instancePage = new Pages($totalNumber, $page, $kuWebsitePagingNumberjob, $actionDisplayNumber, $type, $isAlwaysShowFirstOrLast, $kuCaptionPagingFirstPage, $kuCaptionPagingPreviousPage, $kuCaptionPagingNextPage, $kuCaptionPagingLastPage);
$kuPageLinks = $instancePage->disp('page', $kuHttpPath."job/index.php?lang={$kuWebsiteCurrLanguage}&menuid={$menuid}"); 


$startNum = ($page - 1) * $kuWebsitePagingNumberjob;
$strOrder = getSqlOrderByOfSortType($kuWebsitePagingSortTypejob);

if(1 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}job where lang='{$kuWebsiteCurrLanguage}' and type1='{$menuid}' order by {$strOrder} limit $startNum, $kuWebsitePagingNumberjob;";
else if(2 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}job where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} order by {$strOrder} limit $startNum, $kuWebsitePagingNumberjob;";
else if(3 == $arrMenuInfo['level'])$strSql = "select * from {$configTableHead}job where lang='{$kuWebsiteCurrLanguage}' and type1={$arrMenuInfo[type1]} and type2={$arrMenuInfo[type2]} and type3={$arrMenuInfo[type3]} order by {$strOrder} limit $startNum, $kuWebsitePagingNumberjob;";
else echo "<script>window.location.href='$kuHttpPath';</script>";
//echo $strSql;


$kuStrJobList = '';
$kuArrJobList = array();
$result = $dbInstance->query($strSql);
while($jobRow = $dbInstance->fetchArray($result))
{
  $jobRow['joburl'] = $kuHttpPath."job/job.php?lang={$kuWebsiteCurrLanguage}&itemid={$jobRow['id']}";
  $jobRow['resumeurl'] = $kuHttpPath."job/resume.php?lang={$kuWebsiteCurrLanguage}&menuid={$menuid}&jobid={$jobRow['id']}";
  $jobRow['updatetime'] = substr($jobRow['updatetime'], 0, 10);
  $jobRow['addtime'] = substr($jobRow['addtime'], 0, 10);
  $kuArrJobList[] = $jobRow;
  $kuJobTitle = CommTool::cutstrutf8($jobRow['jobtitle'], 70);
  $kuStrJobList .= "<li><span class=\"right\">{$jobRow['updatetime']}</span><a href=\"{$jobRow['joburl']}\" title=\"{$jobRow['jobtitle']}\">{$kuJobTitle}</a></li>";
}



$topNavId = $arrMenuInfo[type1];
$kuStrBlockSideNav = $kuSideNav[$topNavId];


$kuStrBlockContact = $kuBlock[2];

include_once KUWEBS_ABSOLUTE_PATH."inc/headermenu.php"; 
include_once KUWEBS_ABSOLUTE_PATH."inc/footer.php";
include_once template('joblist');



?>